Page MenuHomePhabricator

Border line displayed incorrectly at some zoom levels
Closed, ResolvedPublic

Description

  1. Zoom: Level 11 - https://maps.wikimedia.org/?s=osm-intl-i18n#10/17.4768/-88.5975 shows a border line which is outdated (was changed in OSM over a year ago):

  1. Switch to Zoom: Level 10 - https://maps.wikimedia.org/?s=osm-intl-i18n#11/17.3149/-88.8722- the border goes along the river precisely (reflecting current OSM data):

Switch to Zoom: Level 12 - https://maps.wikimedia.org/?s=osm-intl-i18n#12/17.4768/-88.5975 - the border is displayed correctly:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2018, 6:42 PM
Etonkovidova updated the task description. (Show Details)Apr 30 2018, 6:42 PM
Etonkovidova updated the task description. (Show Details)Apr 30 2018, 6:44 PM

Some of the Z11 tiles are older than the first recent execution of the populate_admin script.

Z10: April 17th
Z11: April 12th
Z12: April 19th

There were a few days during which OSM updates were being processed while new tiles were being generated in V4. Eventually all jobs were killed and recreated based on tiles files. Some jobs that were propagating OSM updates were lost.

In order to ensure we process all OSM updates at all zoom levels, I suggest "rewinding" OSM updates by 7 days once Z16 is complete and we are ready to restart the process.

kaldari renamed this task from Border line displayed incorrectly with zoom 11 to Border line displayed incorrectly at some zoom levels.Apr 30 2018, 10:53 PM
kaldari updated the task description. (Show Details)
kaldari updated the task description. (Show Details)
SBisson added a subscriber: Pnorman.May 1 2018, 6:01 PM

@Pnorman Is it possible to rewind osm updates by about 7 days and restart the process?

I'm looking at this file

/srv/osmosis/state.txt
#Thu Apr 19 02:15:50 UTC 2018
sequenceNumber=2045
timestamp=2018-04-19T00\:00\:00Z

We can easily put a different timestamp but do you know what the sequenceNumber corresponds to?

I found that https://replicate-sequences.osm.mazdermind.de// to regenerate the osmosis state file at a specific point in the past.

Vvjjkkii renamed this task from Border line displayed incorrectly at some zoom levels to dydaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed SBisson as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from dydaaaaaaa to Border line displayed incorrectly at some zoom levels.Jul 1 2018, 2:14 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to SBisson.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 1:50 AM